{% set CodiceModulo = "DOM_ISC_PIEDIBUS" %}
{% set Urn = "document:c_l709:piedibus;iscrizione;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
  }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di adesione al servizio piedibus"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di adesione al servizio piedibus {% endblock title %}

{% block content %}
  

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - adesione servizio piedibus'" id="Oggetto" name="Oggetto" type="hidden"/>

<div class="container">
  <div class="title-1"> Domanda di adesione al servizio piedibus </div>
</div>

{{ utils_scolastici.anno_scolastico(intestazione = "anno scolastico") }}

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<input id="AventeTitolo1_DatiPersonaObbligatori" name="AventeTitolo1_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="AventeTitolo1_Titolo" name="AventeTitolo1_Titolo" type="hidden" value="Richiedente"/>
<input id="AventeTitolo1_Ruolo" name="AventeTitolo1_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="AventeTitolo1", 
                              intestazione="del minore", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> iscritto alla scuola </span>
    </div>
    <div class="form-group col-lg-12">
      <label for=""> Scuola </label>
    </div>
  </div>
  <div class="form-row" mandatory_enabled="true">
    <div class="col-lg-4">
      <label for=""> scuola primaria Segantini </label>
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_Classe"> Classe </label>
      <input class="form-control" id="Parametri_Classe" name="Parametri_Classe" label="Classe">
    </div>
    <div class="form-group col-lg-4">
      <label for="Parametri_Sezione"> Sezione </label>
      <input class="form-control" id="Parametri_Sezione" name="Parametri_Sezione" label="Sezione">
    </div>
  </div>
</div>       

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> l'adesione al servizio piedibus nell’anno scolastico sopraindicato per il viaggio di  </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Viaggio (*) </label>
    </div>
  </div>
  {% set testi = [
    "solo andata",
    "andata e ritorno" 
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Viaggio" name="Tassonomia_Viaggio" label="Viaggio" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Viaggio{{ loop.index }}" name="Tassonomia_Viaggio" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Viaggio{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>

<globo_salto_pagina></globo_salto_pagina>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> con partenza da </span>
    </div>
    <div class="form-group col-lg-12">
      <label for=""> Punto di ritrovo </label>
    </div>
  </div>
  {% set testi = [
    "via Aldo Moro, angolo Via Selvetta, area parcheggio ",
    "via Manzoni (area parcheggio)",
    "via Porta – Via Libertà",
    "via Marconi",
    "via Magenta (parcheggio della biblioteca)",
    "Piazza Italia",
    "via Vittorio Veneto – Municipio",
    "via Cavour, angolo Via Piave, parcheggio lungo Via Cavour",
    "via Montello",
    "via Dante"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_PuntoRitrovo" name="Tassonomia_PuntoRitrovo" label="Punto di ritrovo" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_PuntoRitrovo{{ loop.index }}" name="Tassonomia_PuntoRitrovo" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_PuntoRitrovo{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>
<div class="container">
  <div class="paragraph text-justify"> <span class="infoes"> (*) Il servizio piedibus è attivo tutti i giorni per il viaggio di andata. Il viaggio di rientro pomeridiano è attivo solo il martedì e il giovedì.  </span> </div>
</div>

{{ utils.Dichiara_445() }}

<div class="container">
  {% set dic = [
    "di aver effettuato la scelta o richiesta in osservanza delle disposizioni sulla responsabilità genitoriale di cui agli articoli 316, 337-ter e 337-quater del Codice Civile, che richiedono il consenso di entrambi i genitori",
    "di essere consapevole che per il servizio di rientro pomeridiano dovrà essere obbligatoriamente presente un genitore o un adulto maggiorenne delegato" 
  ]%}
  {% for dichiara in dic %}
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Dichiara{{ loop.index }}"> {{ dichiara|safe }} </label>
  </div>
  {% endfor %}
</div>

<div class="container">
  <div class="title-3"> DICHIARA INOLTRE </div>
  <div class="paragraph text-justify"> di autorizzare i volontari ad affidare il minore alle seguenti persone </div>
</div>

{{ anagrafica.cognome_nome(prefix='AventeTitolo2', 
                           intestazione="Il sottoscritto", 
                           Solo1="Richiedente", 
                           visibility_intestazione="display:none", 
                           mandatory_enabled="#Tassonomia_Viaggio2.checked()") }}
<div class="container border bg-light mt-0">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="AventeTitolo2_GradoParentela"> Grado di parentela </label>
      <input class="form-control" id="AventeTitolo2_GradoParentela" name="AventeTitolo2_GradoParentela" label="Grado di parentela" mandatory_enabled="#Tassonomia_Viaggio2.checked()">
    </div>
    <div class="form-group col-lg-6" enabled="#Tassonomia_Viaggio2.checked()">
      <label for="AventeTitolo2_TelefonoCellulare"> Telefono cellulare </label>
      <input class="form-control" id="AventeTitolo2_TelefonoCellulare" name="AventeTitolo2_TelefonoCellulare" label="Telefono cellulare" mandatory="#Tassonomia_Viaggio2.checked() and #AventeTitolo2_TelefonoFisso.value() == ''" format="telephone" >
    </div>
    <div class="form-group col-lg-6" enabled="#Tassonomia_Viaggio2.checked()">
      <label for="AventeTitolo2_TelefonoFisso"> Telefono fisso </label>
      <input class="form-control" id="AventeTitolo2_TelefonoFisso" name="AventeTitolo2_TelefonoFisso" label="Telefono fisso" mandatory="#Tassonomia_Viaggio2.checked() and #AventeTitolo2_TelefonoCellulare.value() == ''" format="telephone">
    </div>
  </div>
</div>

{{ anagrafica.cognome_nome(prefix='AventeTitolo3', 
                           intestazione='<input id="UlteriorePersona1" name="UlteriorePersona1" type="checkbox" value="SI" enabled="#Tassonomia_Viaggio2.checked()" /> ulteriore persona a cui affidare il minore', 
                           Solo1="Richiedente", 
                           visibility_intestazione="visibility:visibility", 
                           mandatory_enabled="#UlteriorePersona1.checked()") }}
<div class="container border bg-light mt-0">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="AventeTitolo3_GradoParentela"> Grado di parentela </label>
      <input class="form-control" id="AventeTitolo3_GradoParentela" name="AventeTitolo3_GradoParentela" label="Grado di parentela" mandatory_enabled="#UlteriorePersona1.checked()">
    </div>
    <div class="form-group col-lg-6" enabled="#UlteriorePersona1.checked()">
      <label for="AventeTitolo3_TelefonoCellulare"> Telefono cellulare </label>
      <input class="form-control" id="AventeTitolo3_TelefonoCellulare" name="AventeTitolo3_TelefonoCellulare" label="Telefono cellulare" mandatory="#UlteriorePersona1.checked()"  format="telephone" >
    </div>
    <div class="form-group col-lg-6" enabled="#UlteriorePersona1.checked()">
      <label for="AventeTitolo3_TelefonoFisso"> Telefono fisso </label>
      <input class="form-control" id="AventeTitolo3_TelefonoFisso" name="AventeTitolo3_TelefonoFisso" label="Telefono fisso" mandatory="#UlteriorePersona1.checked()" format="telephone">
    </div>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>

{{ anagrafica.cognome_nome(prefix='AventeTitolo4', 
                           intestazione='<input id="UlteriorePersona2" name="UlteriorePersona2" type="checkbox" value="SI" enabled="#UlteriorePersona1.checked()" /> ulteriore persona a cui affidare il minore', 
                           Solo1="Richiedente", 
                           visibility_intestazione="visibility:visibility", 
                           mandatory_enabled="#UlteriorePersona2.checked()") }}
<div class="container border bg-light mt-0">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="AventeTitolo4_GradoParentela"> Grado di parentela </label>
      <input class="form-control" id="AventeTitolo4_GradoParentela" name="AventeTitolo4_GradoParentela" label="Grado di parentela" mandatory_enabled="#UlteriorePersona2.checked()">
    </div>
    <div class="form-group col-lg-6" enabled="#UlteriorePersona2.checked()">
      <label for="AventeTitolo4_TelefonoCellulare"> Telefono cellulare </label>
      <input class="form-control" id="AventeTitolo4_TelefonoCellulare" name="AventeTitolo4_TelefonoCellulare" label="Telefono cellulare" mandatory="#UlteriorePersona2.checked()"  format="telephone">
    </div>
    <div class="form-group col-lg-6" enabled="#UlteriorePersona2.checked()">
      <label for="AventeTitolo4_TelefonoFisso"> Telefono fisso </label>
      <input class="form-control" id="AventeTitolo4_TelefonoFisso" name="AventeTitolo4_TelefonoFisso" label="Telefono fisso" mandatory="#UlteriorePersona2.checked()" format="telephone">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
